::d2x-beta.bat should be saved here in order for ModMii v4.6.0+ to use it: modules\More-cIOSs\{ANY FOLDER NAME}\d2x-beta.bat

::--------update what comes after "d2x-beta-rev=" and "ciosversion=" below----------
::"magicword" should be contained in this file for modmii to not check for updates or enable legacy cIOS build mode (effective v7.0.3+)
set ciosversion=21003
::must be <=65535
::if ciosversion above is different from version in ciosmaps.xml, then ModMii v6.5.2 or higher required to build it successfully

set d2x-beta-rev=3-final
::This info is used to sign *00.app file for cIOS detection, everything after "=" but before the first "-" is considered the version # and it must be a number! Good examples are "5-beta1-test1" or "5" or "999". Bad examples are "5beta1" or "five-beta1" or "-5-beta1"
::everything after the first "-" is considered the version string (limited by 16 chars) and it only recognizes letters, numbers and + - _ ( ) [ ]
::5 chars of version string is used up if ciosmaps_vWii.xml exists to append "-vWii" to tag, so version string limit is actually 11 chars if vWii is supported

set cIOSFamilyName=d2x
::Only change this if building a cIOS that isn't a "d2x" branded cIOS. This string is limited by 16 chars and it only recognizes letters, numbers and + - _ ( ) [ ]


if "%wadname%"=="" goto:endofd2xbat

::------------------------Section to update (below)--------------------
::here you should enter the new beta cIOS hashes (under the OLD non-beta "wadname")
::d2x-beta-md5-updater.bat can be used to help update hashes
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5=d8018b5b0fd3d4eb1ad26cffd1728cc4
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5=ea223c6cca98eae4561adcd147b0b382
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5=0fc665139839a7de4c8bad64521d9101
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5=123ef6aa14609811661a32b7ddb9d3d0
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5=5bc00e289be7371f807cae4465c76136
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5=9657e3a9cba117b0a586944b0a769b6f
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5=040fac0830f0059bb4fbff5f656d5b8e
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5=3befa61107a96149feabef98cf542ae5
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5=7c6e365421c39b11343402ffba72791c
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5=95fb9f031e82b231960cb77c60b70154
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5=d7e7bb65f1ee004d11091eab009c3c3e
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5=f7dd51550ae82cdd5a9ca00d332fe585
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5=ffbecfe629f48a5f4a1665ffc6ebb79c
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5=4d0a8ac82075f3d9c7ad33ef95c95ba5
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5=a120f34a01f687c082dc13417b6315b8
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5=2f6c1ee352846583d07d2ba72380dab0
::two sets of md5s for legacy wad(mii) packer support
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5alt=d9a54642c2e8db2bc218480995077e66
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5alt=a7206fa1eab663bde95c60af2f657c9f
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5alt=60272424ce5622bb5d469202dd6d0d17
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5alt=ac2d2af39c79b8f73e97b056809781d7
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5alt=cdd3228301ee3f5267c6ac8fc32f9dd3
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5alt=af6c74d4d31b5641abaa038494989ccc
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5alt=8adb1f6278c718c1f8d902e7e2e25f5e
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5alt=6742ab501ac0b23d26b2b66272773815
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5alt=e42743673a72dd6cb718fbca782bb84e
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5alt=92c5d2943d8d808eb59fa2469dcf8f63
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5alt=dacfa42272166214091e57394b3753b2
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5alt=975733acb04c95d6696afa5759072a71
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5alt=7adbcf6397833c1b772b68a4fc9625ab
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5alt=f6bee46b32ec358a9a108d1cfa16379a
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5alt=edf3c2acec0235426a22d1547280bf7d
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5alt=4196a02211a9ceeadac2582611deb2cf
::------------------------Section to update (above)--------------------

::----------Additional Instructions---------------
::save any of the following beta files to the following directory
::if any of the following is not found, the standard d2x module used in the previous ModMii release will continue to be used
::modules\More-cIOSs\{ANY FOLDER NAME}\mload.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FAT.app
::modules\More-cIOSs\{ANY FOLDER NAME}\SDHC.app
::modules\More-cIOSs\{ANY FOLDER NAME}\EHCI.app
::modules\More-cIOSs\{ANY FOLDER NAME}\USBS.app
::modules\More-cIOSs\{ANY FOLDER NAME}\DIPP.app
::modules\More-cIOSs\{ANY FOLDER NAME}\ES.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FFSP.app
::------------------------------------------------------

::set md5alt=%md5%

::change some variables
set wadname=%wadname:~0,17%%d2x-beta-rev%
if /i "%name:~0,17%" NEQ "Advanced Download" set name=%wadname%

:endofd2xbat 

